ComSquare::InvalidRomException Class Reference

Exception thrown when someone tries to load an invalid rom. More...

`#include <InvalidRom.hpp>`

Inheritance diagram for ComSquare::InvalidRomException:
Collaboration diagram for ComSquare::InvalidRomException:

## Public Member Functions

| InvalidRomException (const std::string &msg)
const char * | what () const noexcept override

## Private Attributes

std::string | _msg

## Detailed Description

Exception thrown when someone tries to load an invalid rom.

## Constructor & Destructor Documentation

## InvalidRomException()

ComSquare::InvalidRomException::InvalidRomException | ( | const std::string & | msg | ) |

inlineexplicit

## Member Function Documentation

## what()

const char* ComSquare::InvalidRomException::what | ( |  | ) | const

inlineoverridenoexcept

## Member Data Documentation

## _msg

std::string ComSquare::InvalidRomException::_msg

private

The documentation for this class was generated from the following file:

- sources/Exceptions/InvalidRom.hpp